<?php 
$string = '<' . '?xml version="1.0" encoding="utf-8" ?'.'>';
$string .= '<wapl xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://wapl.wapple.net/wapl.xsd">
<head>
<title>'.get_bloginfo('name').wp_title('>', false).'</title>
<css><url>'.htmlspecialchars(get_bloginfo("stylesheet_url", "display")).'</url></css>';

$src = '';
if(file_exists(WP_CONTENT_DIR.DIRECTORY_SEPARATOR.'uploads'.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'css'.DIRECTORY_SEPARATOR.'style.css'))
{
	$src =  WP_CONTENT_URL.'/uploads/'.get_wapl_plugin_base().'/css/style.css';
} else if(file_exists(WP_PLUGIN_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'theme'.DIRECTORY_SEPARATOR.'style.css'))
{
	$src =  WP_PLUGIN_URL.'/'.get_wapl_plugin_base().'/theme/style.css';
}
 $string .= '<css><url>'.htmlspecialchars($src).'</url></css>';
 
 $custom_src = '';
 if(file_exists(WP_CONTENT_DIR.DIRECTORY_SEPARATOR.'uploads'.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'css'.DIRECTORY_SEPARATOR.'custom_style.css'))
{
	$custom_src =  WP_CONTENT_URL.'/uploads/'.get_wapl_plugin_base().'/css/custom_style.css';
} else if(file_exists(WP_PLUGIN_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'theme'.DIRECTORY_SEPARATOR.'custom_style.css'))
{
	$custom_src =  WP_PLUGIN_URL.'/'.get_wapl_plugin_base().'/theme/custom_style.css';
}

$string .= '<css><url>'.htmlspecialchars($custom_src).'</url></css>';

if(get_option('architect_use_meta'))
{
	// meta description
	$description = get_bloginfo('description');
	$getVar = get_option('architect_mobile_blogdesc');
	if($getVar AND $getVar != '')
	{
		$description = $getVar;
	}
	
	if(substr($description, 0, 1) == '"'){ $description = substr($description, 1, strlen($description));}
	if(substr($description, -1) == '"'){ $description = substr($description, 0, (strlen($description)-1));}
	
	$string .= '<meta name="description" content="'.str_replace(' & ',' &amp; ', $description).'" />';
	
	// meta keywords
	$keywords = get_option('architect_meta_keywords');
	if($keywords)
	{
		$string .= '<meta name="keywords" content="'.str_replace(' & ', ' &amp; ', get_option('architect_meta_keywords')).'" />';
	}
}

$string .= '</head><layout>';

if(get_option('architect_use_headerimage'))
{
	$src = false;
	$architect_single_use_headerimage = get_option('architect_single_use_headerimage');
	$architect_single_headerimage = get_option('architect_single_headerimage');
	$architect_headerimage = get_option('architect_headerimage');
	
	if($architect_single_use_headerimage AND $type == 'single' AND ($architect_single_headerimage != $architect_headerimage))
	{
		if(file_exists(WP_CONTENT_DIR.DIRECTORY_SEPARATOR.'uploads'.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'images'.DIRECTORY_SEPARATOR.'postHeader'.DIRECTORY_SEPARATOR.$architect_single_headerimage))
		{
			$src =  WP_CONTENT_URL.'/uploads/'.get_wapl_plugin_base().'/images/postHeader/'.$architect_single_headerimage;
		}
	} else
	{
		if(file_exists(WP_CONTENT_DIR.DIRECTORY_SEPARATOR.'uploads'.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'images'.DIRECTORY_SEPARATOR.'header'.DIRECTORY_SEPARATOR.$architect_headerimage))
		{
			$src =  WP_CONTENT_URL.'/uploads/'.get_wapl_plugin_base().'/images/header/'.$architect_headerimage;
		} else if(file_exists(WP_PLUGIN_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'theme'.DIRECTORY_SEPARATOR.'images'.DIRECTORY_SEPARATOR.'header'.DIRECTORY_SEPARATOR.$architect_headerimage))
		{
			$src =  WP_PLUGIN_URL.'/'.get_wapl_plugin_base().'/theme/images/header/'.$architect_headerimage;
		}
	}
	if($src)
	{
		// Get filetype
		$filetype = substr($architect_headerimage, (strpos($architect_headerimage, '.') + 1), strlen($architect_headerimage));
		$string .= '<row class="headerImage"><cell id="header">';
		
		if(get_option('architect_headerimagelinktohome'))
		{
			$string .= '<externalLink><url>'.htmlspecialchars(get_option('home')).'</url>';
		}
		
		$string .= '
		<externalImage filetype="'.$filetype.'" scale="100">
		<url>'.htmlspecialchars($src).'</url>
		<alt>'.get_bloginfo('title').'</alt>';
		
		$architect_headerimage_transcol = get_option('architect_headerimage_transparency_colour');
		if($architect_headerimage_transcol AND $architect_headerimage_transcol != '')
		{
			$string .= '<transcol>'.$architect_headerimage_transcol.'</transcol>';
		}
		$string .= '</externalImage>';
		
		if(get_option('architect_headerimagelinktohome'))
		{
			$string .= '</externalLink>';
		}
		
		$string .= '</cell></row>';
	}
} else
{
	if(get_option('architect_headerimagelinktohome'))
	{
		$title = get_bloginfo('title');
		$getVar = get_option('architect_mobile_blogtitle');
		if($getVar AND $getVar != '')
		{
			$title = $getVar;
		}
		
		$string .= '<row><cell id="header"><externalLink><label>'.str_replace(' & ', ' &amp; ', $title).'</label><url>'.htmlspecialchars(get_option('home')).'</url></externalLink></cell></row>';
	} else
	{
		$title = get_bloginfo('title');
		$getVar = get_option('architect_mobile_blogtitle');
		if($getVar AND $getVar != '')
		{
			$title = $getVar;
		}
		$string .= '<wordsChunk id="header"><display_as>h1</display_as><quick_text>'.str_replace(' & ', ' &amp; ', $title).'</quick_text></wordsChunk>';
	}
}

if(get_option('architect_show_blogdesc'))
{
	$description = get_bloginfo('description');
	$getVar = get_option('architect_mobile_blogdesc');
	if($getVar AND $getVar != '')
	{
		$description = $getVar;
	}
	
	$string .= '<row><cell class="description"><chars><value>'.str_replace(' & ', ' &amp; ', $description).'</value></chars></cell></row>';
}
if(get_option('architect_showmenuattop'))
{
	$string .= get_wapl_element('menu');
}
return $string;
?>